Bug 881810 - When Installing openstack-nova, The package python-keystone should be installed by dependency.
When Installing openstack-nova, The package python-keystone should be install...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Linux
unspecified Severity high
: snapshot1
: 2.1
Assigned To: Martin Magr
Yaniv Kaul
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-11-29 10:49 EST by Nir Magnezi
Modified: 2013-07-03 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.2-8.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-30 16:07:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nir Magnezi 2012-11-29 10:49:32 EST
Description of problem:

When Installing openstack-nova, The packages python-keystone should be installed by dependency.
I installed openstack in a distributed way, Meaning a single service per Host/VM.
I'd expect that all the packages needed for me to configure and run that service, to be installed by dependency.

Based on Chapter 6. Nova (Compute): 
I installed nova on a single host, Started the openstack-nova-api and noticed an error an nova api log.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Follow Chapter 6 on: https://access.redhat.com/knowledge/docs/en-US/Red_Hat_OpenStack_Preview/2/html-single/Getting_Started_Guide/index.html
2. tail -f /var/log/nova/*
Actual results:
1. The package python-keystone not installed.
2. /var/log/nova/api.log CRITICAL:

/var/log/nova/api.log:2012-11-29 17:36:30 CRITICAL nova [-] No module named keystone.middleware.auth_token

Expected results:
1. The package python-keystone should be installed.
2. No Errors in nova api log (or any other nova log).
Comment 5 Martin Magr 2013-01-09 07:07:58 EST
Added requirement to packages.
Comment 7 Nir Magnezi 2013-01-15 08:10:26 EST
Verified with: openstack-nova
Version: 2012.2.2-1.el6ost

# yum install openstack-nova

Requires python-keystone
Comment 8 Pádraig Brady 2013-01-24 07:01:16 EST
Note the requires needs to be added to the "common" subpackage in nova,
rather than the global openstack-nova "meta" package.

Other packages are as normal.

BTW theoretically keystone is optional, so this is more of a convenience
depenency, which should be handled explicitly with something like packstack.

Do we want this hard dependency Fedora/EPEL too?
Comment 9 Martin Magr 2013-01-24 08:34:03 EST
Moved python-keystone from nova to nova-conf in dist-git. This will be taken into the account with next snapshot.
Comment 11 Yaniv Kaul 2013-01-29 10:50:44 EST
 Package                           Arch              Version                        Repository                                                   Size
 openstack-nova-common             noarch            2012.2.2-8.el6ost              /openstack-nova-common-2012.2.2-8.el6ost.noarch             115 k
 openstack-nova-compute            noarch            2012.2.2-8.el6ost              /openstack-nova-compute-2012.2.2-8.el6ost.noarch             12 k
 openstack-nova-network            noarch            2012.2.2-8.el6ost              /openstack-nova-network-2012.2.2-8.el6ost.noarch             13 k
 python-nova                       noarch            2012.2.2-8.el6ost              /python-nova-2012.2.2-8.el6ost.noarch                        12 M
Installing for dependencies:
 PyPAM                             x86_64            0.5.0-12.el6                   rhel64-20130116.3                                            23 k
 python-keystone                   noarch            2012.2.1-1.el6ost              openstack                                                   259 k
 python-passlib                    noarch            1.5.3-1.el6                    openstack                                                   289 k

Transaction Summary
Comment 13 errata-xmlrpc 2013-01-30 16:07:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.